<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>JAVA programming Online Quiz</title>

	

	<style>
		body
		{
			margin: 0;
			padding: 0;
			background-image: linear-gradient(#fff,#c3f5ff);
		}
		h1
		{
			font-family: verdana;
			font-weight: bold;
			color: #0D27E8;
		}
		.main
		{
			margin-left: 28%;
		}
		h3
		{
			font-size: px;
		}

	</style>

</head>
<body>
	<div class="header">
		<center><h1>C programming Online Quiz</h1></center><br>
	</div>
	<div class="main">
		<form name="myform">
			<h3>Q1- How many layers are available in Hibernate architecture?</h3><br>
			<input type="radio" name="name1" id="q1" value="a">A- 3<br>
			<input type="radio" name="name1" id="q1" value="b">B- 4<br>
			<input type="radio" name="name1" id="q1" value="c">C- 5<br>
			<input type="radio" name="name1" id="q1" value="d">D- 2<br>
			

			<h3>Q2 -Which is a perfect example of runtime polymorphism?</h3><br>
			<input type="radio" name="name2" id="q2" value="a">A- method overloading<br>
			<input type="radio" name="name2" id="q2" value="b">B- method overriding<br>
			<input type="radio" name="name2" id="q2" value="c">C- constructor overloading<br>
			<input type="radio" name="name2" id="q2" value="d">D- None of the above<br>


			<h3>Q3 - Which specification that provides runtime environment in which java byte code can be executed?</h3><br>
			<input type="radio" name="name3" id="q3" value="a">A- JDK<br>
			<input type="radio" name="name3" id="q3" value="b">B- JVM<br>
			<input type="radio" name="name3" id="q3" value="c">C- JRE<br>
			<input type="radio" name="name3" id="q3" value="d">D- None of the above<br>

			<h3>Q4 - Which of the package is used to enable interaction with garbage collector? </h3><br>
			<input type="radio" name="name4" id="q4" value="a">A- java.lang.ref<br>
			<input type="radio" name="name4" id="q4" value="b">B- java.lang.reflect<br>
			<input type="radio" name="name4" id="q4" value="c">C- java.lang<br>
			<input type="radio" name="name4" id="q4" value="d">D- java.awt<br>
			

			<h3>Q5 - The clone() method is defined in?
 </h3><br>
			<input type="radio" name="name5" id="q5" value="a">A-Abstract class<br>
			<input type="radio" name="name5" id="q5" value="b">B- Object class<br>
			<input type="radio" name="name5" id="q5" value="c">C- Array-list class<br>
			<input type="radio" name="name5" id="q5" value="d">D- None of these<br>

			<h3>Q6 -Where are these five keywords try, catch, finally, throw, and throws used in? </h3><br>
			<input type="radio" name="name6" id="q6" value="a">A- Exception Handling<br>
			<input type="radio" name="name6" id="q6" value="b">B- String Handling<br>
			<input type="radio" name="name6" id="q6" value="c">C- Event Handling<br>
			<input type="radio" name="name6" id="q6" value="d">D- none of these<br>

			<h3>Q7 -  The life cycle of the thread is controlled by ? </h3><br>
			<input type="radio" name="name7" id="q7" value="a">A- JVM<br>
			<input type="radio" name="name7" id="q7" value="b">B- JDK<br>
			<input type="radio" name="name7" id="q7" value="c">C- JRE<br>
			<input type="radio" name="name7" id="q7" value="d">D- none of these<br>

			<h3>Q8 -  java.applet defines how many interfaces? </h3><br>
			<input type="radio" name="name8" id="q8" value="a">A- 1<br>
			<input type="radio" name="name8" id="q8" value="b">B- 2<br>
			<input type="radio" name="name8" id="q8" value="c">C- 3<br>
			<input type="radio" name="name8" id="q8" value="d">D- 0<br>

			<h3>Q9 - The ActionListener interface is not used for handling action events</h3><br>
			<input type="radio" name="name9" id="q9" value="a">A- True<br>
			<input type="radio" name="name9" id="q9" value="b">B- False<br>
			

			<h3>Q10 -The wrapper classes are part of the which package, that is imported by default into all Java programs?</h3><br>
			<input type="radio" name="name10" id="q10" value="a">A- java.lang<br>
			<input type="radio" name="name10" id="q10" value="b">B- java.awt<br>
			<input type="radio" name="name10" id="q10" value="c">C- java.io<br>
			<input type="radio" name="name10" id="q10" value="d">D- java.util<br><br><br>
			<input type="submit" class="btn btn-primary" name="submit" name="submit" onclick="myfun()" style="margin-left: 25%;width: 150px;height: 40px;background-color: #14C614;">
		</form>
		<a href="../index.html">HOME</a><br><br>
	</div>


	<script>
		function myfun()
		{
			var data1=document.myform.q1.value;
			var data2=document.myform.q2.value;
			var data3=document.myform.q3.value;
			var data4=document.myform.q4.value;
			var data5=document.myform.q5.value;
			var data6=document.myform.q6.value;
			var data7=document.myform.q7.value;
			var data8=document.myform.q8.value;
			var data9=document.myform.q9.value;
			var data10=document.myform.q10.value;

			var count=0;
			if(data1=="a")
			{
				count++;
			}
			if(data2=="b")
			{
				count++;
			}
			if(data3=="b")
			{
				count++;
			}
			if(data4=="a")
			{
				count++;
			}
			if(data5=="b")
			{
				count++;
			}
			if(data6=="a")
			{
				count++;
			}
			if(data7=="a")
			{
				count++;
			}
			if(data8=="c")
			{
				count++;
			}
			if(data9=="b")
			{
				count++;
			}
			if(data10=="a")
			{
				count++;
			}
			alert("you gave "+ count +"correct answers.");

		}
	</script>
	
	


</body>
</html>